Get latest builds by script IDs
GET/accounts/{account_id}/builds/builds/latest
Retrieve the most recent builds for multiple worker scripts
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get latest builds by script IDs
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/builds/latest \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [
"string"
],
"result": {
"builds": {
"foo": {
"build_outcome": "success",
"build_trigger_metadata": {
"author": "developer@cloudflare.com",
"branch": "main",
"build_command": "npm run build",
"build_token_name": "My Build Token",
"build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"build_trigger_source": "push",
"commit_hash": "abc123def456",
"commit_message": "Add new feature",
"deploy_command": "npx wrangler deploy",
"environment_variables": {
"foo": "string"
},
"provider_account_name": "Cloudflare",
"provider_type": "github",
"repo_name": "workers-sdk",
"root_directory": "/"
},
"build_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_on": "2019-12-27T18:11:19.117Z",
"initializing_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z",
"pull_request": {
"created_on": "2019-12-27T18:11:19.117Z",
"pull_request_url": "https://github.com/cloudflare/workers-sdk/pull/123"
},
"running_on": "2019-12-27T18:11:19.117Z",
"status": "running",
"stopped_on": "2019-12-27T18:11:19.117Z",
"trigger": {
"branch_excludes": [
"string"
],
"branch_includes": [
"main"
],
"build_caching_enabled": false,
"build_command": "npm run build",
"created_on": "2019-12-27T18:11:19.117Z",
"deleted_on": "2019-12-27T18:11:19.117Z",
"deploy_command": "npx wrangler deploy",
"external_script_id": "my-worker",
"modified_on": "2019-12-27T18:11:19.117Z",
"path_excludes": [
"*.md"
],
"path_includes": [
"*"
],
"repo_connection": {
"created_on": "2019-12-27T18:11:19.117Z",
"deleted_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z",
"provider_account_id": "cloudflare",
"provider_account_name": "Cloudflare",
"provider_type": "github",
"repo_connection_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repo_id": "workers-sdk",
"repo_name": "workers-sdk"
},
"root_directory": "/",
"trigger_name": "Production Deploy",
"trigger_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}
}
},
"success": true,
"result_info": {
"count": 25,
"page": 1,
"per_page": 50,
"total_count": 150,
"total_pages": 3
}
}Returns Examples
{
"errors": [
{
"code": 12000,
"message": "Not found"
}
],
"messages": [
"string"
],
"result": {
"builds": {
"foo": {
"build_outcome": "success",
"build_trigger_metadata": {
"author": "developer@cloudflare.com",
"branch": "main",
"build_command": "npm run build",
"build_token_name": "My Build Token",
"build_token_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"build_trigger_source": "push",
"commit_hash": "abc123def456",
"commit_message": "Add new feature",
"deploy_command": "npx wrangler deploy",
"environment_variables": {
"foo": "string"
},
"provider_account_name": "Cloudflare",
"provider_type": "github",
"repo_name": "workers-sdk",
"root_directory": "/"
},
"build_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_on": "2019-12-27T18:11:19.117Z",
"initializing_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z",
"pull_request": {
"created_on": "2019-12-27T18:11:19.117Z",
"pull_request_url": "https://github.com/cloudflare/workers-sdk/pull/123"
},
"running_on": "2019-12-27T18:11:19.117Z",
"status": "running",
"stopped_on": "2019-12-27T18:11:19.117Z",
"trigger": {
"branch_excludes": [
"string"
],
"branch_includes": [
"main"
],
"build_caching_enabled": false,
"build_command": "npm run build",
"created_on": "2019-12-27T18:11:19.117Z",
"deleted_on": "2019-12-27T18:11:19.117Z",
"deploy_command": "npx wrangler deploy",
"external_script_id": "my-worker",
"modified_on": "2019-12-27T18:11:19.117Z",
"path_excludes": [
"*.md"
],
"path_includes": [
"*"
],
"repo_connection": {
"created_on": "2019-12-27T18:11:19.117Z",
"deleted_on": "2019-12-27T18:11:19.117Z",
"modified_on": "2019-12-27T18:11:19.117Z",
"provider_account_id": "cloudflare",
"provider_account_name": "Cloudflare",
"provider_type": "github",
"repo_connection_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"repo_id": "workers-sdk",
"repo_name": "workers-sdk"
},
"root_directory": "/",
"trigger_name": "Production Deploy",
"trigger_uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
}
}
},
"success": true,
"result_info": {
"count": 25,
"page": 1,
"per_page": 50,
"total_count": 150,
"total_pages": 3
}
}